## org.python.core
Class TraceFunction

    java.lang.Object
      org.python.core.TraceFunction

    public abstract class TraceFunction

extends Object

Constructor Summary
`TraceFunction()`

Method Summary
`abstract TraceFunction` `traceCall(PyFrame frame)`
`abstract TraceFunction` `traceException(PyFrame frame, PyException exc)`
`abstract TraceFunction` `traceLine(PyFrame frame, int line)`
`abstract TraceFunction` `traceReturn(PyFrame frame, PyObject ret)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceFunction

    public TraceFunction()

Method Detail

### traceCall

    public abstract TraceFunction traceCall(PyFrame frame)

### traceReturn

    public abstract TraceFunction traceReturn(PyFrame frame,
                                              PyObject ret)

### traceLine

    public abstract TraceFunction traceLine(PyFrame frame,
                                            int line)

### traceException

    public abstract TraceFunction traceException(PyFrame frame,
                                                 PyException exc)

Jython homepage